# Overview

Using Pipedream's IMAP API, developers can automate interactions with their email inbox, enabling serverless workflows that perform actions based on incoming emails. This could include parsing email contents, triggering events upon receiving emails from specific senders, attaching labels, and much more. By leveraging IMAP, Pipedream can act as a bridge between your email and other services, streamlining processes that would otherwise require manual intervention.

# Example Use Cases

- **Email Attachment Extraction and Storage:** Automatically detect when a new email with attachments arrives in your inbox. Download the attachments and save them to a cloud storage service like Google Drive or Dropbox using Pipedream's built-in connectors.

- **Customer Support Ticket Creation:** Upon receiving an email to a support inbox, use Pipedream to parse the email, extract relevant information (like the sender's email, subject, and body), and create a ticket in a customer support platform such as Zendesk or Help Scout.

- **Lead Qualification:** When a new lead submits information via email, Pipedream can parse the email content and use it to populate fields in a CRM like Salesforce. Additionally, it can trigger a workflow that scores the lead's quality and assigns it to the appropriate sales team member.
